#!/usr/bin/env python
#
#    panelcontroller.py, Copyright 2009 Mike Rooney (https://launchpad.net/~mrooney)
#    Date: 2009-04-25
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

class PanelController:
    def __init__(self, showinstall, showsetup, showmanage):
        self.installCallback = showinstall
        self.setupCallback = showsetup
        self.manageCallback = showmanage
        
    def showAppropriateStep(self):
        # Do we have the ecryptapi installed yet?
        try:
            from ecryptfs import ecryptapi
        except ImportError:
            ecryptapi = None
            
        # Now show the appropriate panel.
        if ecryptapi is None:
            self.installCallback()
        elif ecryptapi.needs_setup():
            self.setupCallback()
        else:
            self.manageCallback()
